Foreman - Feature #84

Add puppetrun support to web interface
11/18/2009 03:49 PM - Josh Baird

Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Puppet integration

Target version: 0.1-4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It would if Foreman provided a "Puppetrun” feature for each node via the web interface. This would allow you to push a puppetrun to
individual/selected nodes all from the web interface.

Associated revisions

Revision e1e9e09b - 03/08/2010 05:57 AM - Ohad Levy
fixes #84 - Add puppetrun support to web interface

Revision f20686ac - 03/08/2010 05:57 AM - Ohad Levy
fixes #84 - Add puppetrun support to web interface

Revision b3528ab9 - 03/09/2010 02:45 AM - Ohad Levy

fixes #84 - add better support for binary path searching, and catch errors based on the output from puppetrun

Revision 88bce962 - 03/09/2010 02:45 AM - Ohad Levy

fixes #84 - add better support for binary path searching, and catch errors based on the output from puppetrun

History

#1 - 12/14/2009 12:26 PM - Ohad Levy
- Category set to Puppet integration

- Target version set to 0.1-4

#2 - 03/08/2010 05:57 AM - Ohad Levy
- Status changed from New to Assigned

- Assignee set to Ohad Levy

Documentation added at Puppetrun

#3 - 03/08/2010 05:59 AM - Ohad Levy
- Status changed from Assigned to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset e1e9e09b99e5ff4c91aedcd824349d8e4b27506¢.

#4 - 03/09/2010 03:23 AM - Ohad Levy
Applied in changeset 88bce9629f8964aa9b707{495df72d3fc65¢5504.

#5 - 03/09/2010 03:24 AM - Ohad Levy
- Status changed from Ready For Testing to Closed

05/17/2024 1/1



https://projects.theforeman.org/projects/foreman/wiki/Puppetrun
